import * as react from 'react';
import { CrossmintWallets, Chain, WalletArgsFor } from '@crossmint/wallets-sdk';
import { HandshakeParent } from '@crossmint/client-sdk-window';
import { signerOutboundEvents, signerInboundEvents } from '@crossmint/client-signers';
import { ValidWalletState } from '../providers/CrossmintWalletProvider.cjs';
import 'react/jsx-runtime';

declare const throwNotAvailable: (functionName: string) => () => never;
declare function useWalletState({ crossmintWallets, crossmintJwt, getHandshakeParent, }: {
    crossmintWallets: CrossmintWallets;
    crossmintJwt: string | null;
    getHandshakeParent?: () => HandshakeParent<typeof signerOutboundEvents, typeof signerInboundEvents>;
}): {
    state: ValidWalletState;
    setState: react.Dispatch<react.SetStateAction<ValidWalletState>>;
    getOrCreateWallet: <C extends Chain>(props: WalletArgsFor<C>) => Promise<{
        startedCreation: boolean;
        reason: string;
    } | {
        startedCreation: boolean;
        reason?: undefined;
    }>;
    clearWallet: () => void;
    needsAuth: boolean;
    sendEmailWithOtp: () => Promise<void>;
    verifyOtp: (otp: string) => Promise<void>;
    reject: (error: Error) => void;
};

export { throwNotAvailable, useWalletState };
